function  [] = examples_heat (example_ID);
%  definition of the problem data
%  (function handles stored as 'global')

global  ffct ufct 
global  bc_fct_1  bc_fct_2  bc_fct_3 

switch (example_ID)
  case 1
    %... dummy solution u = 0
    ufct = @(x,y) 0.*y
    
    %... f = constant peak
    %ffct = @(x,y) 37*((x-1)>0).*((2-x)>0).*(y>0).*((0.5-y)>0)
    ffct = @f_fct_1

    bc_fct_1 = @(x,y)  1 + 2.*y
    bc_fct_2 = @zero_fct
    bc_fct_3 = @zero_fct

  case 2
    %... smooth solution u
    ufct = @(x,y) sin(x).*sin(y)
    
    %... f = -\Laplace u
    ffct = @(x,y) 2*(sin(x).*sin(y))

    bc_fct_1 = ufct
    bc_fct_2 = ufct
    bc_fct_3 = ufct
  otherwise
    error('this  "example_ID" is not implemented');
end; % switch  (example_ID)


end

% .. function handle of right-hand-side of pde
function f = f_fct_1 (x,y)
  f =  37*((x-1)>0).*((2-x)>0).*(y>0).*((0.5-y)>0);
end

%======================================================================
%  definition of boundary functions
%======================================================================

function g = zero_fct (x,y);
g = 0.*x;
end

%======================================================================

